Bug 862028 - [abrt] syncevolution-gtk-1.3-1.fc17: g_logv: Process /usr/bin/sync-ui was killed by signal 5 (SIGTRAP)
[abrt] syncevolution-gtk-1.3-1.fc17: g_logv: Process /usr/bin/sync-ui was kil...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: syncevolution (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
abrt_hash:b4d60694fd0aca99e9d041e9419...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-01 12:19 EDT by Matthias Kuhn
Modified: 2012-12-10 20:22 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-10 20:22:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (1.15 KB, text/plain)
2012-10-01 12:19 EDT, Matthias Kuhn
no flags Details
File: environ (2.88 KB, text/plain)
2012-10-01 12:19 EDT, Matthias Kuhn
no flags Details
File: backtrace (17.29 KB, text/plain)
2012-10-01 12:19 EDT, Matthias Kuhn
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-01 12:19 EDT, Matthias Kuhn
no flags Details
File: cgroup (125 bytes, text/plain)
2012-10-01 12:19 EDT, Matthias Kuhn
no flags Details
File: maps (20.57 KB, text/plain)
2012-10-01 12:19 EDT, Matthias Kuhn
no flags Details
File: dso_list (4.34 KB, text/plain)
2012-10-01 12:19 EDT, Matthias Kuhn
no flags Details
File: var_log_messages (266 bytes, text/plain)
2012-10-01 12:19 EDT, Matthias Kuhn
no flags Details
File: open_fds (105 bytes, text/plain)
2012-10-01 12:19 EDT, Matthias Kuhn
no flags Details

  None (edit)
Description Matthias Kuhn 2012-10-01 12:19:37 EDT
Description of problem:
I simply started sync-ui (first start of the application). Before opening a window it crashed. Command line output:

$ sync-ui 

(sync-ui:19873): Gtk-ERROR **: GTK+ 2.x symbols detected. Using GTK+ 2.x and GTK+ 3 in the same process is not supported
Trace/breakpoint trap (core dumped)


Version-Release number of selected component:
syncevolution-gtk-1.3-1.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 4
cmdline:        sync-ui
crash_function: g_logv
kernel:         3.5.2-3.fc17.x86_64

truncated backtrace:
:Thread no. 1 (8 frames)
: #0 g_logv at gmessages.h:101
: #2 do_pre_parse_initialization at gtkmain.c:635
: #3 pre_parse_hook at gtkmain.c:749
: #4 g_option_context_parse at goption.c:1781
: #5 gtk_parse_args at gtkmain.c:953
: #6 gtk_init_check at gtkmain.c:992
: #7 gtk_init at gtkmain.c:1047
: #8 init at src/gtk3-ui/main.c:50
Comment 1 Matthias Kuhn 2012-10-01 12:19:39 EDT
Created attachment 619865 [details]
File: core_backtrace
Comment 2 Matthias Kuhn 2012-10-01 12:19:42 EDT
Created attachment 619866 [details]
File: environ
Comment 3 Matthias Kuhn 2012-10-01 12:19:44 EDT
Created attachment 619867 [details]
File: backtrace
Comment 4 Matthias Kuhn 2012-10-01 12:19:47 EDT
Created attachment 619869 [details]
File: limits
Comment 5 Matthias Kuhn 2012-10-01 12:19:49 EDT
Created attachment 619870 [details]
File: cgroup
Comment 6 Matthias Kuhn 2012-10-01 12:19:51 EDT
Created attachment 619871 [details]
File: maps
Comment 7 Matthias Kuhn 2012-10-01 12:19:53 EDT
Created attachment 619872 [details]
File: dso_list
Comment 8 Matthias Kuhn 2012-10-01 12:19:55 EDT
Created attachment 619873 [details]
File: var_log_messages
Comment 9 Matthias Kuhn 2012-10-01 12:19:57 EDT
Created attachment 619874 [details]
File: open_fds
Comment 10 Paul Finnigan 2012-10-02 05:48:33 EDT
The problem keeps happening while auto-sync takes place with syncevolution.

backtrace_rating: 4
Package: syncevolution-gtk-1.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 11 Nicolas Trangez 2012-10-08 09:51:11 EDT
This just occurred to me as well. Looks like /usr/bin/sync-ui needs libunique-1.0.so.0 (NEEDED in the ELF Dynamic section of sync-ui), and /usr/bin64/libunique-1.0.so.0 needs libgtk-x11-2.0.so.0. "strace"ing sync-ui shows libgtk-x11-2.0.so.0 occurs immediately after loading libunique, which might be another indication:

$ strace -e open /usr/bin/sync-ui
open("/etc/ld.so.cache", O_RDONLY|O_CLOEXEC) = 3
open("/lib64/libgtk-3.so.0", O_RDONLY|O_CLOEXEC) = 3
open("/lib64/libgdk-3.so.0", O_RDONLY|O_CLOEXEC) = 3
open("/lib64/libcairo-gobject.so.2", O_RDONLY|O_CLOEXEC) = 3
open("/lib64/libunique-1.0.so.0", O_RDONLY|O_CLOEXEC) = 3
open("/lib64/libgtk-x11-2.0.so.0", O_RDONLY|O_CLOEXEC) = 3
open("/lib64/libgdk-x11-2.0.so.0", O_RDONLY|O_CLOEXEC) = 3
...
Comment 12 Fedora Update System 2012-10-09 10:10:39 EDT
syncevolution-1.3.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/syncevolution-1.3.1-1.fc17
Comment 13 Fedora Update System 2012-10-09 10:11:09 EDT
syncevolution-1.3.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/syncevolution-1.3.1-1.fc18
Comment 14 Fedora Update System 2012-10-09 13:18:45 EDT
Package syncevolution-1.3.1-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing syncevolution-1.3.1-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15693/syncevolution-1.3.1-1.fc18
then log in and leave karma (feedback).
Comment 15 Paul Finnigan 2012-10-16 18:41:24 EDT
I have updated my system with the fc17 versions of the above packages:

Installed Packages
syncevolution.x86_64                  1:1.3.1-1.fc17            @updates-testing
syncevolution-gtk.x86_64              1:1.3.1-1.fc17            @updates-testing
syncevolution-libs.x86_64             1:1.3-1.fc17              @updates 

The problem have reoccurred. It is much less frequent.

As an additional probably unrelated note: 

I have the GTK+ GUI for syncevolution installed and this will not start (Fails to start sync-ui-gtk). No surprise as the binary appears to be called sync-ui. Attempting to run that gives errors relating to the use of gtk+ 2.x and 3.x in the same code.

I don't know if this was the case in the previous version, I very rare use the GUI or the command line when things are working. I use the GUI as it save me remembering the commands.
Comment 16 Peter Robinson 2012-10-17 01:48:00 EDT
> The problem have reoccurred. It is much less frequent.

Can you submit a new abrt. If it's less frequent it's likely a different crash to this one.

> I have the GTK+ GUI for syncevolution installed and this will not start
> (Fails to start sync-ui-gtk). No surprise as the binary appears to be called
> sync-ui. Attempting to run that gives errors relating to the use of gtk+ 2.x
> and 3.x in the same code.

Known issue, bug 866464 will be fixed in next build
Comment 17 Fedora Update System 2012-10-20 07:25:47 EDT
syncevolution-1.3.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/syncevolution-1.3.1-2.fc17
Comment 18 Fedora Update System 2012-10-20 07:26:19 EDT
syncevolution-1.3.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/syncevolution-1.3.1-2.fc18
Comment 19 Andrea Dell'Amico 2012-10-29 13:42:35 EDT
Hello, I've just installed syncevolution-1.3.1-2.fc18.x86_64 and the error is the same one reported here:

(sync-ui:7899): Gtk-ERROR **: GTK+ 2.x symbols detected. Using GTK+ 2.x and GTK+ 3 in the same process is not supported
Comment 20 cristian.angotti 2012-11-27 17:05:41 EST
(In reply to comment #19)
> Hello, I've just installed syncevolution-1.3.1-2.fc18.x86_64 and the error
> is the same one reported here:
> 
> (sync-ui:7899): Gtk-ERROR **: GTK+ 2.x symbols detected. Using GTK+ 2.x and
> GTK+ 3 in the same process is not supported

As Work Around you can  

copy the /usr/bin/sync-ui-gtk in temporary dir from syncevolution-gtk-1.2.1-1.fc17.x86_64

upgrade syncevolution to syncevolution.1.3.1 

and copy back /usr/bin/sync-ui-gtk
Comment 21 Fedora Update System 2012-12-01 10:51:05 EST
syncevolution-1.3.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/syncevolution-1.3.2-1.fc17
Comment 22 Fedora Update System 2012-12-10 20:22:57 EST
syncevolution-1.3.2-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.